Skip to content
Start here

Get Gateway Log Response

client.AIGateway.Logs.Response(ctx, gatewayID, id, query) (*LogResponseResponse, error)
GET/accounts/{account_id}/ai-gateway/gateways/{gateway_id}/logs/{id}/response

Retrieves the response payload for an AI Gateway log entry.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
AI Gateway WriteAI Gateway Read
ParametersExpand Collapse
gatewayID string

gateway id

maxLength64
minLength1
id string
query LogResponseParams
AccountID param.Field[string]
ReturnsExpand Collapse
type LogResponseResponse interface{…}

Get Gateway Log Response

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/ai_gateway"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.AIGateway.Logs.Response(
    context.TODO(),
    "my-gateway",
    "id",
    ai_gateway.LogResponseParams{
      AccountID: cloudflare.F("0d37909e38d3e99c29fa2cd343ac421a"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response)
}
{}
Returns Examples
{}